Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class Query

    java.lang.Object
      org.ensembl.datamodel.Query

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Deprecated. since version 27.0

public class Query
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A query defines what to retrieve and how much to retrieve. What to retrieve means filter conditions and how much means whether children should be included. e.g. genes with or without exons.

See Also:
  Serialized Form

Constructor Summary
`Query()` Deprecated. Lazy loading is off by default.
`Query(Location location)` Deprecated.
`Query(Location location, boolean loadChildren)` Deprecated.
`Query(long internalID)` Deprecated.
`Query(long[] internalIDs)` Deprecated.
`Query(long internalID, boolean loadChildren)` Deprecated.
`Query(long internalID, boolean loadChildren, Location location)` Deprecated.
`Query(java.lang.String accessionID)` Deprecated.
`Query(java.lang.String accessionID, boolean loadChildren)` Deprecated.
`Query(java.lang.String accessionID, boolean loadChildren, Location location)` Deprecated.

Method Summary
`void` | `clear()` Deprecated. Resets all values to initial values.
`java.lang.Object` | `clone()` Deprecated. Performs a deep copy.
`java.lang.String` | `getAccessionID()` Deprecated.
`boolean` | `getIncludeChildren()` Deprecated.
`boolean` | `getIncludeSequence()` Deprecated.
`long` | `getInternalID()` Deprecated.
`long[]` | `getInternalIDs()` Deprecated.
`Location` | `getLocation()` Deprecated.
`java.lang.String` | `getType()` Deprecated.
`boolean` | `isAccessionIDSet()` Deprecated.
`boolean` | `isInernalIDsSet()` Deprecated.
`boolean` | `isInternalIDSet()` Deprecated.
`boolean` | `isLocationSet()` Deprecated.
`void` | `setAccessionID(java.lang.String accessionID)` Deprecated.
`void` | `setIncludeChildren(boolean loadChildren)` Deprecated.
`void` | `setIncludeSequence(boolean includeSequence)` Deprecated.
`void` | `setInternalID(long internalID)` Deprecated.
`void` | `setInternalIDs(long[] ls)` Deprecated.
`void` | `setLocation(Location location)` Deprecated.
`void` | `setType(java.lang.String type)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Query

    public Query()

  Deprecated.
  Lazy loading is off by default.

### Query

    public Query(long internalID)

  Deprecated.

### Query

    public Query(long[] internalIDs)

  Deprecated.

### Query

    public Query(long internalID,
                 boolean loadChildren)

  Deprecated.

### Query

    public Query(long internalID,
                 boolean loadChildren,
                 Location location)

  Deprecated.

### Query

    public Query(Location location)

  Deprecated.

### Query

    public Query(Location location,
                 boolean loadChildren)

  Deprecated.

### Query

    public Query(java.lang.String accessionID)

  Deprecated.

### Query

    public Query(java.lang.String accessionID,
                 boolean loadChildren)

  Deprecated.

### Query

    public Query(java.lang.String accessionID,
                 boolean loadChildren,
                 Location location)

  Deprecated.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Performs a deep copy.

  Throws:
    `java.lang.CloneNotSupportedException`

### getLocation

    public Location getLocation()

  Deprecated.

### setLocation

    public void setLocation(Location location)

  Deprecated.

### getInternalID

    public long getInternalID()

  Deprecated.

### setInternalID

    public void setInternalID(long internalID)

  Deprecated.

### getAccessionID

    public java.lang.String getAccessionID()

  Deprecated.

### setAccessionID

    public void setAccessionID(java.lang.String accessionID)

  Deprecated.

### getType

    public java.lang.String getType()

  Deprecated.

### setType

    public void setType(java.lang.String type)

  Deprecated.

### getIncludeSequence

    public boolean getIncludeSequence()

  Deprecated.

### setIncludeSequence

    public void setIncludeSequence(boolean includeSequence)

  Deprecated.

### getIncludeChildren

    public boolean getIncludeChildren()

  Deprecated.

### setIncludeChildren

    public void setIncludeChildren(boolean loadChildren)

  Deprecated.

### isInternalIDSet

    public boolean isInternalIDSet()

  Deprecated.

### isLocationSet

    public boolean isLocationSet()

  Deprecated.

### isAccessionIDSet

    public boolean isAccessionIDSet()

  Deprecated.

### clear

    public void clear()

  Deprecated.
  Resets all values to initial values. Values are set to -1, null, false depending on type.

### toString

    public java.lang.String toString()

  Deprecated.

### getInternalIDs

    public long[] getInternalIDs()

  Deprecated.

### setInternalIDs

    public void setInternalIDs(long[] ls)

  Deprecated.

### isInernalIDsSet

    public boolean isInernalIDsSet()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD